Bug 260250 - security/suricata: update to 6.0.4
Summary: security/suricata: update to 6.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dries Michiels
URL: https://forum.suricata.io/t/suricata-...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-06 09:07 UTC by Franco Fichtner
Modified: 2021-12-14 12:26 UTC (History)
1 user (show)

See Also:
franco: maintainer-feedback+
driesm: merge-quarterly+


Attachments
update (6.97 KB, patch)
2021-12-06 09:07 UTC, Franco Fichtner
franco: maintainer-approval+
Details | Diff
update with fixed plist (7.41 KB, patch)
2021-12-10 07:26 UTC, Franco Fichtner
franco: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2021-12-06 09:07:04 UTC
Created attachment 229937 [details]
update

Hi,

This updates Suricata to the latest version and removes patches that have been subsequently included in this release.


Cheers,
Franco
Comment 1 Dries Michiels freebsd_committer 2021-12-07 16:09:16 UTC
Take
Comment 2 Dries Michiels freebsd_committer 2021-12-09 08:19:34 UTC
Hey Franco,

Are you OK with me petting portfmt while here?
Portfmt is a linting tool for port Makefiles.

Thanks for the feedback.
Dries
Comment 3 Franco Fichtner 2021-12-09 09:01:45 UTC
Hi Dries,

Be my guest, no problem.  :)


Cheers,
Franco
Comment 4 Dries Michiels freebsd_committer 2021-12-09 20:30:24 UTC
Hmmm I seem to miss two files that are installed but not lised in pkg-plist, OK for me to add these;

Error: Orphaned: %%DATADIR%%/rules/http2-events.rules
Error: Orphaned: %%DATADIR%%/rules/mqtt-events.rules
Comment 5 Dries Michiels freebsd_committer 2021-12-09 20:33:49 UTC
Wait let me rephrase that last question.
Did you leave them out on purpose so they are not installed?
Comment 6 Franco Fichtner 2021-12-10 06:46:07 UTC
Hi Dries,

Sorry, that's an oversight on my part. Looks like they did fix the release tarball inclusion of those in 6.0.4:

https://github.com/OISF/suricata/pull/6363/commits/88878f3d09cbe6


Cheers,
Franco
Comment 7 Franco Fichtner 2021-12-10 07:26:05 UTC
Created attachment 230006 [details]
update with fixed plist
Comment 8 commit-hook freebsd_committer 2021-12-13 17:18:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3571a07d68b7dbce0e19619e135fb76766c7af12

commit 3571a07d68b7dbce0e19619e135fb76766c7af12
Author:     Franco Fichtner <franco@opnsense.org>
AuthorDate: 2021-12-08 14:56:50 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-12-13 17:08:01 +0000

    security/suricata: Update to 6.0.4

    While here pet portfmt.

    Changes:                https://forum.suricata.io/t/suricata-6-0-4-and-5-0-8-released/1942
    PR:                     260250
    Approved by:            0mp (mentor)
    MFH:                    2021Q4
    Differential Revision:  https://reviews.freebsd.org/D33335

 security/suricata/Makefile                     | 73 ++++++++++++------------
 security/suricata/distinfo                     |  6 +-
 security/suricata/files/patch-3c53a1601 (gone) | 78 --------------------------
 security/suricata/files/patch-powerpc (gone)   | 62 --------------------
 security/suricata/pkg-plist                    |  4 +-
 5 files changed, 42 insertions(+), 181 deletions(-)
Comment 9 commit-hook freebsd_committer 2021-12-14 11:19:52 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d4f40889559c3d9226ff4fca24ed06ade869f37d

commit d4f40889559c3d9226ff4fca24ed06ade869f37d
Author:     Franco Fichtner <franco@opnsense.org>
AuthorDate: 2021-12-08 14:56:50 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-12-14 11:10:42 +0000

    security/suricata: Update to 6.0.4

    While here pet portfmt.

    Changes:                https://forum.suricata.io/t/suricata-6-0-4-and-5-0-8-released/1942
    PR:                     260250
    Approved by:            0mp (mentor)
    MFH:                    2021Q4
    Differential Revision:  https://reviews.freebsd.org/D33335

    (cherry picked from commit 3571a07d68b7dbce0e19619e135fb76766c7af12)

 security/suricata/Makefile                     | 71 ++++++++++++-----------
 security/suricata/distinfo                     |  6 +-
 security/suricata/files/patch-3c53a1601 (gone) | 78 --------------------------
 security/suricata/files/patch-powerpc (gone)   | 62 --------------------
 security/suricata/pkg-plist                    |  4 +-
 5 files changed, 41 insertions(+), 180 deletions(-)
Comment 10 Dries Michiels freebsd_committer 2021-12-14 11:20:40 UTC
Committed in main and 2021Q4.
Comment 11 Franco Fichtner 2021-12-14 12:26:13 UTC
Thanks a lot! :)